com.sun.source.tree

## Interface ArrayAccessTree

All Superinterfaces:
  ExpressionTree, Tree

    @Exported
    public interface ArrayAccessTree
    extends ExpressionTree

A tree node for an array access expression. For example:

       expression [ index ]

Since:
  1.6
See The Java™ Language Specification:
  section 15.13

### Nested Class Summary

### Nested classes/interfaces inherited from interface com.sun.source.tree.Tree

`Tree.Kind`

### Method Summary

All Methods Instance Methods Abstract Methods
`ExpressionTree` `getExpression()`
`ExpressionTree` `getIndex()`

### Methods inherited from interface com.sun.source.tree.Tree

`accept, getKind`

### Method Detail

#### getExpression

    ExpressionTree getExpression()

#### getIndex

    ExpressionTree getIndex()